DROP TABLE IF EXISTS
	`AdminBanList`,
	`CmtsBlogPosts`,
	`CmtsClassifieds`,
	`CmtsProfile`,
	`CmtsSharedMusic`,
	`CmtsSharedPhoto`,
	`CmtsSharedVideo`,
	`CmtsTrack`,
	`PageCompose`,
	`PreValues`,
	`ProfileFields`,
	`ProfilesMatch`,
	`SiteStat`;

CREATE TABLE `AdminBanList` (
  `ProfID` int(11) NOT NULL default '0',
  `Time` int(20) NOT NULL default '0',
  `DateTime` datetime NOT NULL default '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `CmtsBlogPosts` (
  `cmt_id` int(11) NOT NULL auto_increment,
  `cmt_parent_id` int(11) NOT NULL default '0',
  `cmt_object_id` int(11) NOT NULL default '0',
  `cmt_author_id` int(10) unsigned NOT NULL default '0',
  `cmt_text` text character set utf8 NOT NULL,
  `cmt_rate` int(11) NOT NULL default '0',
  `cmt_rate_count` int(11) NOT NULL default '0',
  `cmt_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `cmt_replies` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cmt_id`),
  KEY `cmt_object_id` (`cmt_object_id`,`cmt_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `CmtsClassifieds` (
  `cmt_id` int(11) NOT NULL auto_increment,
  `cmt_parent_id` int(11) NOT NULL default '0',
  `cmt_object_id` int(11) NOT NULL default '0',
  `cmt_author_id` int(10) unsigned NOT NULL default '0',
  `cmt_text` text character set utf8 NOT NULL,
  `cmt_rate` int(11) NOT NULL default '0',
  `cmt_rate_count` int(11) NOT NULL default '0',
  `cmt_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `cmt_replies` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cmt_id`),
  KEY `cmt_object_id` (`cmt_object_id`,`cmt_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `CmtsProfile` (
  `cmt_id` int(11) NOT NULL auto_increment,
  `cmt_parent_id` int(11) NOT NULL default '0',
  `cmt_object_id` int(11) NOT NULL default '0',
  `cmt_author_id` int(10) unsigned NOT NULL default '0',
  `cmt_text` text character set utf8 NOT NULL,
  `cmt_rate` int(11) NOT NULL default '0',
  `cmt_rate_count` int(11) NOT NULL default '0',
  `cmt_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `cmt_replies` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cmt_id`),
  KEY `cmt_object_id` (`cmt_object_id`,`cmt_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `CmtsSharedMusic` (
  `cmt_id` int(11) NOT NULL auto_increment,
  `cmt_parent_id` int(11) NOT NULL default '0',
  `cmt_object_id` int(12) NOT NULL default '0',
  `cmt_author_id` int(10) unsigned NOT NULL default '0',
  `cmt_text` text character set utf8 NOT NULL,
  `cmt_rate` int(11) NOT NULL default '0',
  `cmt_rate_count` int(11) NOT NULL default '0',
  `cmt_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `cmt_replies` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cmt_id`),
  KEY `cmt_object_id` (`cmt_object_id`,`cmt_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `CmtsSharedPhoto` (
  `cmt_id` int(11) NOT NULL auto_increment,
  `cmt_parent_id` int(11) NOT NULL default '0',
  `cmt_object_id` int(12) NOT NULL default '0',
  `cmt_author_id` int(10) unsigned NOT NULL default '0',
  `cmt_text` text character set utf8 NOT NULL,
  `cmt_rate` int(11) NOT NULL default '0',
  `cmt_rate_count` int(11) NOT NULL default '0',
  `cmt_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `cmt_replies` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cmt_id`),
  KEY `cmt_object_id` (`cmt_object_id`,`cmt_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `CmtsSharedVideo` (
  `cmt_id` int(11) NOT NULL auto_increment,
  `cmt_parent_id` int(11) NOT NULL default '0',
  `cmt_object_id` int(12) NOT NULL default '0',
  `cmt_author_id` int(10) unsigned NOT NULL default '0',
  `cmt_text` text character set utf8 NOT NULL,
  `cmt_rate` int(11) NOT NULL default '0',
  `cmt_rate_count` int(11) NOT NULL default '0',
  `cmt_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `cmt_replies` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cmt_id`),
  KEY `cmt_object_id` (`cmt_object_id`,`cmt_parent_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `CmtsTrack` (
  `cmt_system_id` int(11) NOT NULL default '0',
  `cmt_id` int(11) NOT NULL default '0',
  `cmt_rate` tinyint(4) NOT NULL default '0',
  `cmt_rate_author_id` int(10) unsigned NOT NULL default '0',
  `cmt_rate_author_nip` int(11) unsigned NOT NULL default '0',
  `cmt_rate_ts` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cmt_system_id`,`cmt_id`,`cmt_rate_author_nip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `PageCompose` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Page` varchar(255) NOT NULL default '',
  `PageWidth` varchar(10) NOT NULL default '960px',
  `Desc` text NOT NULL,
  `Caption` varchar(255) NOT NULL default '',
  `Column` tinyint(3) unsigned NOT NULL default '0',
  `Order` int(10) unsigned NOT NULL default '0',
  `Func` varchar(255) NOT NULL default '',
  `Content` text NOT NULL,
  `DesignBox` tinyint(3) unsigned NOT NULL default '1',
  `ColWidth` tinyint(3) unsigned NOT NULL default '0',
  `Visible` set('non','memb') NOT NULL default 'non,memb',
  `MinWidth` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `PreValues` (
  `Key` varchar(255) NOT NULL default '' COMMENT 'Key which defines link to values list',
  `Value` varchar(255) NOT NULL default '' COMMENT 'Simple value stored in the database',
  `Order` int(10) unsigned NOT NULL default '0',
  `LKey` varchar(255) NOT NULL default '' COMMENT 'Primary language key used for displaying this value',
  `LKey2` varchar(255) NOT NULL default '' COMMENT 'Additional key used in some other places',
  `LKey3` varchar(255) NOT NULL default '',
  `Extra` varchar(255) NOT NULL default '' COMMENT 'Some extra values. For example image link for sex',
  `Extra2` varchar(255) NOT NULL default '',
  `Extra3` varchar(255) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `PreValues` VALUES('Country', 'TR', 213, '__Turkey', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TT', 214, '__Trinidad and Tobago', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TO', 212, '__Tonga', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TN', 211, '__Tunisia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TM', 210, '__Turkmenistan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TL', 209, '__East Timor', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TK', 208, '__Tokelau', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TJ', 207, '__Tajikistan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TH', 206, '__Thailand', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TG', 205, '__Togo', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TF', 204, '__French Southern and Antarctic Lands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TD', 203, '__Chad', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TC', 202, '__Turks and Caicos Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AI', 201, '__Anguilla', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BI', 200, '__Burundi', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BZ', 199, '__Belize', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CM', 198, '__Cameroon', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CZ', 197, '__Czech Republic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'FR', 196, '__France', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GI', 195, '__Gibraltar', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GQ', 194, '__Equatorial Guinea', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GR', 193, '__Greece', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KE', 191, '__Kenya', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'HM', 192, '__Heard Island and McDonald Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KG', 190, '__Kyrgyzstan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KM', 189, '__Comoros', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KW', 188, '__Kuwait', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LB', 187, '__Lebanon', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MK', 186, '__Macedonia, The Former Yugoslav Republic of', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MO', 185, '__Macao', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MV', 184, '__Maldives', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MY', 183, '__Malaysia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NU', 182, '__Niue', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'OM', 181, '__Oman', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'RO', 180, '__Romania', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AD', 179, '__Andorra', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AE', 178, '__United Arab Emirates', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AF', 177, '__Afghanistan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AG', 176, '__Antigua and Barbuda', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AL', 175, '__Albania', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AM', 174, '__Armenia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AN', 173, '__Netherlands Antilles', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AO', 172, '__Angola', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AQ', 171, '__Antarctica', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AS', 170, '__American Samoa', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AR', 169, '__Argentina', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AT', 168, '__Austria', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AW', 166, '__Aruba', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AU', 167, '__Australia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'AZ', 165, '__Azerbaijan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BB', 164, '__Barbados', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BA', 163, '__Bosnia and Herzegovina', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BD', 162, '__Bangladesh', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BE', 161, '__Belgium', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BF', 160, '__Burkina Faso', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BG', 159, '__Bulgaria', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BH', 158, '__Bahrain', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BJ', 157, '__Benin', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BM', 156, '__Bermuda', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BN', 155, '__Brunei Darussalam', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BO', 154, '__Bolivia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BR', 153, '__Brazil', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BS', 152, '__The Bahamas', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BT', 151, '__Bhutan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BV', 150, '__Bouvet Island', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BY', 148, '__Belarus', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'BW', 149, '__Botswana', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CA', 147, '__Canada', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CC', 146, '__Cocos (Keeling) Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CD', 145, '__Congo, Democratic Republic of the', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CF', 144, '__Central African Republic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CG', 143, '__Congo, Republic of the', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CH', 142, '__Switzerland', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CI', 141, '__Cote d''Ivoire', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CK', 140, '__Cook Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CL', 139, '__Chile', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CN', 138, '__China', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CO', 137, '__Colombia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CR', 136, '__Costa Rica', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CU', 135, '__Cuba', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CX', 133, '__Christmas Island', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CV', 134, '__Cape Verde', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'CY', 132, '__Cyprus', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'DJ', 131, '__Djibouti', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'DE', 130, '__Germany', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'DK', 129, '__Denmark', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'DM', 128, '__Dominica', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'DO', 127, '__Dominican Republic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'DZ', 126, '__Algeria', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'EC', 125, '__Ecuador', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'EE', 124, '__Estonia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'EG', 123, '__Egypt', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'EH', 122, '__Western Sahara', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ER', 121, '__Eritrea', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ES', 120, '__Spain', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ET', 119, '__Ethiopia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'FI', 118, '__Finland', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'FJ', 117, '__Fiji', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'FK', 116, '__Falkland Islands (Islas Malvinas)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'FM', 115, '__Micronesia, Federated States of', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'FO', 114, '__Faroe Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GA', 113, '__Gabon', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GB', 112, '__United Kingdom', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GD', 111, '__Grenada', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GE', 110, '__Georgia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GF', 109, '__French Guiana', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GL', 107, '__Greenland', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GH', 108, '__Ghana', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GM', 106, '__The Gambia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GP', 104, '__Guadeloupe', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GN', 105, '__Guinea', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GS', 103, '__South Georgia and the South Sandwich Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GT', 102, '__Guatemala', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GU', 101, '__Guam', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GW', 100, '__Guinea-Bissau', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'GY', 99, '__Guyana', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'HK', 98, '__Hong Kong (SAR)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'HN', 97, '__Honduras', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'HR', 96, '__Croatia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'HT', 95, '__Haiti', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'HU', 94, '__Hungary', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ID', 93, '__Indonesia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IE', 92, '__Ireland', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IL', 91, '__Israel', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IN', 90, '__India', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IO', 89, '__British Indian Ocean Territory', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IQ', 88, '__Iraq', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IR', 87, '__Iran', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IS', 86, '__Iceland', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'JM', 84, '__Jamaica', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'IT', 85, '__Italy', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'JO', 83, '__Jordan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'JP', 82, '__Japan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KH', 81, '__Cambodia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KI', 80, '__Kiribati', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KN', 79, '__Saint Kitts and Nevis', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KP', 78, '__Korea, North', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KR', 77, '__Korea, South', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TV', 215, '__Tuvalu', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KY', 76, '__Cayman Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'KZ', 75, '__Kazakhstan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LA', 74, '__Laos', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LC', 73, '__Saint Lucia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LK', 72, '__Sri Lanka', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LI', 71, '__Liechtenstein', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LR', 70, '__Liberia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LS', 69, '__Lesotho', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LT', 68, '__Lithuania', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LV', 67, '__Latvia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LU', 66, '__Luxembourg', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'LY', 65, '__Libya', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MA', 64, '__Morocco', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MC', 63, '__Monaco', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MD', 62, '__Moldova', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MG', 61, '__Madagascar', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MH', 60, '__Marshall Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ML', 59, '__Mali', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MM', 58, '__Burma', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MN', 57, '__Mongolia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MP', 56, '__Northern Mariana Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MR', 55, '__Mauritania', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MQ', 54, '__Martinique', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MS', 53, '__Montserrat', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MT', 52, '__Malta', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MU', 51, '__Mauritius', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MW', 50, '__Malawi', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MX', 49, '__Mexico', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'MZ', 48, '__Mozambique', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NA', 47, '__Namibia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NC', 46, '__New Caledonia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NE', 45, '__Niger', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NF', 44, '__Norfolk Island', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NG', 43, '__Nigeria', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NI', 42, '__Nicaragua', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NL', 41, '__Netherlands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NO', 40, '__Norway', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NP', 39, '__Nepal', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NR', 38, '__Nauru', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'NZ', 37, '__New Zealand', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PA', 36, '__Panama', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PE', 35, '__Peru', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PF', 34, '__French Polynesia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PG', 33, '__Papua New Guinea', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PH', 32, '__Philippines', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PL', 31, '__Poland', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PK', 30, '__Pakistan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PM', 29, '__Saint Pierre and Miquelon', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PN', 28, '__Pitcairn Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PR', 27, '__Puerto Rico', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PS', 26, '__Palestinian Territory, Occupied', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PT', 25, '__Portugal', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PW', 24, '__Palau', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'PY', 23, '__Paraguay', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'QA', 22, '__Qatar', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'RE', 21, '__Reunion', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'RU', 20, '__Russia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'RW', 19, '__Rwanda', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SA', 18, '__Saudi Arabia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SB', 17, '__Solomon Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SC', 16, '__Seychelles', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SD', 15, '__Sudan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SE', 14, '__Sweden', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SG', 13, '__Singapore', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SH', 12, '__Saint Helena', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SI', 11, '__Slovenia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SJ', 10, '__Svalbard', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SK', 9, '__Slovakia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SL', 8, '__Sierra Leone', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SM', 7, '__San Marino', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SN', 6, '__Senegal', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SO', 5, '__Somalia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SR', 4, '__Suriname', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ST', 3, '__Sao Tome and Principe', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SV', 2, '__El Salvador', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SY', 1, '__Syria', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'SZ', 0, '__Swaziland', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TW', 216, '__Taiwan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'TZ', 217, '__Tanzania', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'UA', 218, '__Ukraine', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'UG', 219, '__Uganda', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'UM', 220, '__United States Minor Outlying Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'US', 221, '__United States', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'UY', 222, '__Uruguay', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'UZ', 223, '__Uzbekistan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'VA', 224, '__Holy See (Vatican City)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'VC', 225, '__Saint Vincent and the Grenadines', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'VE', 226, '__Venezuela', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'VG', 227, '__British Virgin Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'VI', 228, '__Virgin Islands', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'VN', 229, '__Vietnam', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'VU', 230, '__Vanuatu', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'WF', 231, '__Wallis and Futuna', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'WS', 232, '__Samoa', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'YE', 233, '__Yemen', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'YT', 234, '__Mayotte', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'YU', 235, '__Yugoslavia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ZA', 236, '__South Africa', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ZM', 237, '__Zambia', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Country', 'ZW', 238, '__Zimbabwe', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Sex', 'female', 1, '_Female', '_LookinFemale', '', '', '', '');
INSERT INTO `PreValues` VALUES('Sex', 'male', 0, '_Male', '_LookinMale', '', '', '', '');
INSERT INTO `PreValues` VALUES('Height', '1', 1, '__4''7" (140cm) or below', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Height', '2', 2, '__4''8" - 4''11" (141-150cm)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Height', '3', 3, '__5''0" - 5''3" (151-160cm)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Height', '4', 4, '__5''4" - 5''7" (161-170cm)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Height', '5', 5, '__5''8" - 5''11" (171-180cm)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Height', '6', 6, '__6''0" - 6''3" (181-190cm)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Height', '7', 7, '__6''4" (191cm) or above', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('BodyType', '1', 1, '__Average', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('BodyType', '2', 2, '__Ample', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('BodyType', '3', 3, '__Athletic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('BodyType', '4', 4, '__Cuddly', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('BodyType', '5', 5, '__Slim', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('BodyType', '6', 6, '__Very Cuddly', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '1', 1, '__Adventist', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '2', 2, '__Agnostic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '3', 3, '__Atheist', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '4', 4, '__Baptist', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '5', 5, '__Buddhist', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '6', 6, '__Caodaism', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '7', 7, '__Catholic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '8', 8, '__Christian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '9', 9, '__Hindu', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '10', 10, '__Iskcon', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '11', 11, '__Jainism', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '12', 12, '__Jewish', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '13', 13, '__Methodist', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '14', 14, '__Mormon', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '15', 15, '__Moslem', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '16', 16, '__Orthodox', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '17', 17, '__Pentecostal', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '18', 18, '__Protestant', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '19', 19, '__Quaker', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '20', 20, '__Scientology', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '21', 21, '__Shinto', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '22', 22, '__Sikhism', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '23', 23, '__Spiritual', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '24', 24, '__Taoism', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '25', 25, '__Wiccan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Religion', '26', 26, '__Other', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '1', 1, '__African', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '2', 2, '__African American', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '3', 3, '__Asian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '4', 4, '__Caucasian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '5', 5, '__East Indian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '6', 6, '__Hispanic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '7', 7, '__Indian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '8', 8, '__Latino', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '9', 9, '__Mediterranean', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '10', 10, '__Middle Eastern', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Ethnicity', '11', 11, '__Mixed', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('MaritalStatus', '1', 1, '__Single', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('MaritalStatus', '2', 2, '__Attached', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('MaritalStatus', '3', 3, '__Divorced', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('MaritalStatus', '4', 4, '__Married', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('MaritalStatus', '5', 5, '__Separated', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('MaritalStatus', '6', 6, '__Widow', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '0', 0, '__English', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '1', 1, '__Afrikaans', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '2', 2, '__Arabic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '3', 3, '__Bulgarian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '4', 4, '__Burmese', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '5', 5, '__Cantonese', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '6', 6, '__Croatian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '7', 7, '__Danish', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '8', 8, '__Dutch', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '9', 9, '__Esperanto', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '10', 10, '__Estonian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '11', 11, '__Finnish', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '12', 12, '__French', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '13', 13, '__German', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '14', 14, '__Greek', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '15', 15, '__Gujrati', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '16', 16, '__Hebrew', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '17', 17, '__Hindi', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '18', 18, '__Hungarian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '19', 19, '__Icelandic', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '20', 20, '__Indian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '21', 21, '__Indonesian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '22', 22, '__Italian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '23', 23, '__Japanese', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '24', 24, '__Korean', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '25', 25, '__Latvian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '26', 26, '__Lithuanian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '27', 27, '__Malay', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '28', 28, '__Mandarin', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '29', 29, '__Marathi', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '30', 30, '__Moldovian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '31', 31, '__Nepalese', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '32', 32, '__Norwegian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '33', 33, '__Persian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '34', 34, '__Polish', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '35', 35, '__Portuguese', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '36', 36, '__Punjabi', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '37', 37, '__Romanian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '38', 38, '__Russian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '39', 39, '__Serbian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '40', 40, '__Spanish', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '41', 41, '__Swedish', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '42', 42, '__Tagalog', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '43', 43, '__Taiwanese', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '44', 44, '__Tamil', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '45', 45, '__Telugu', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '46', 46, '__Thai', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '47', 47, '__Tongan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '48', 48, '__Turkish', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '49', 49, '__Ukrainian', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '50', 50, '__Urdu', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '51', 51, '__Vietnamese', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Language', '52', 52, '__Visayan', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '1', 1, '__High School graduate', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '2', 2, '__Some college', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '3', 3, '__College student', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '4', 4, '__AA (2 years college)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '5', 5, '__BA/BS (4 years college)', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '6', 6, '__Some grad school', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '7', 7, '__Grad school student', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '8', 8, '__MA/MS/MBA', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '9', 9, '__PhD/Post doctorate', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Education', '10', 10, '__JD', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Income', '1', 1, '__$10,000/year and less', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Income', '2', 2, '__$10,000-$30,000/year', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Income', '3', 3, '__$30,000-$50,000/year', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Income', '4', 4, '__$50,000-$70,000/year', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Income', '5', 5, '__$70,000/year and more', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Smoker', '1', 1, '__No', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Smoker', '2', 2, '__Rarely', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Smoker', '3', 3, '__Often', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Smoker', '4', 4, '__Very often', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Drinker', '1', 1, '__No', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Drinker', '2', 2, '__Rarely', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Drinker', '3', 3, '__Often', '', '', '', '', '');
INSERT INTO `PreValues` VALUES('Drinker', '4', 4, '__Very often', '', '', '', '', '');

CREATE TABLE `ProfileFields` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(255) character set utf8 collate utf8_bin NOT NULL default '',
  `Type` enum('text','area','pass','date','select_one','select_set','num','range','bool','system','block') NOT NULL default 'text',
  `Control` enum('select','checkbox','radio') NOT NULL default 'select' COMMENT 'input element for selectors',
  `Extra` text NOT NULL,
  `Min` float default NULL,
  `Max` float default NULL,
  `Values` text NOT NULL,
  `UseLKey` enum('LKey','LKey2','LKey3') NOT NULL default 'LKey',
  `Check` text NOT NULL,
  `Unique` tinyint(1) NOT NULL default '0',
  `Default` text NOT NULL,
  `Mandatory` tinyint(1) NOT NULL default '0',
  `Deletable` tinyint(1) NOT NULL default '1',
  `JoinPage` int(10) unsigned NOT NULL default '0',
  `JoinBlock` int(10) unsigned NOT NULL default '0',
  `JoinOrder` float default NULL,
  `EditOwnBlock` int(10) unsigned NOT NULL default '0',
  `EditOwnOrder` float default NULL,
  `EditAdmBlock` int(10) unsigned NOT NULL default '0',
  `EditAdmOrder` float default NULL,
  `EditModBlock` int(10) unsigned NOT NULL default '0',
  `EditModOrder` float default NULL,
  `ViewMembBlock` int(10) unsigned NOT NULL default '0',
  `ViewMembOrder` float default NULL,
  `ViewAdmBlock` int(10) unsigned NOT NULL default '0',
  `ViewAdmOrder` float default NULL,
  `ViewModBlock` int(10) unsigned NOT NULL default '0',
  `ViewModOrder` float default NULL,
  `ViewVisBlock` int(10) unsigned NOT NULL default '0',
  `ViewVisOrder` float default NULL,
  `SearchParams` text NOT NULL,
  `SearchSimpleBlock` int(10) unsigned NOT NULL default '0',
  `SearchSimpleOrder` float default NULL,
  `SearchQuickBlock` int(10) unsigned NOT NULL default '0',
  `SearchQuickOrder` float default NULL,
  `SearchAdvBlock` int(10) unsigned NOT NULL default '0',
  `SearchAdvOrder` float default NULL,
  `MatchField` int(10) unsigned NOT NULL default '0',
  `MatchPercent` tinyint(7) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `Name` (`Name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `ProfilesMatch` (
  `PID1` int(10) unsigned NOT NULL default '0' COMMENT 'Profile ID',
  `PID2` int(10) unsigned NOT NULL default '0',
  `Percent` tinyint(4) NOT NULL default '0',
  KEY `MatchPair` (`PID1`,`PID2`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `SiteStat` (
  `ID` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(3) NOT NULL default '',
  `Title` varchar(50) NOT NULL default '',
  `UserLink` varchar(255) NOT NULL default '',
  `UserQuery` varchar(255) NOT NULL default '',
  `AdminLink` varchar(255) NOT NULL default '',
  `AdminQuery` varchar(255) NOT NULL default '',
  `IconName` varchar(50) NOT NULL default '',
  `StatOrder` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `SiteStat` VALUES(1, 'all', 'Members', 'browse.php', 'SELECT COUNT(`ID`) FROM `Profiles` WHERE `Status` = ''Active'' AND (`Couple`=''0'' OR `Couple`>`ID`)', 'profiles.php?profiles=Approval', 'SELECT COUNT(`ID`) FROM `Profiles` WHERE `Status`!=''Active'' AND (`Couple`=''0'' OR `Couple`>`ID`)', 'mbs.gif', 0);
INSERT INTO `SiteStat` VALUES(2, 'pph', 'Photos', 'browsePhoto.php', 'SELECT COUNT(`medID`) FROM `sharePhotoFiles` WHERE `Approved`=''true''', 'browseMedia.php?type=photo', 'SELECT COUNT(`medID`) FROM `sharePhotoFiles` WHERE `Approved`=''false''', 'pph.gif', 0);
INSERT INTO `SiteStat` VALUES(3, 'evs', 'Events', 'events.php?show_events=all&action=show', 'SELECT COUNT(`ID`) FROM `SDatingEvents` WHERE `Status`=''Active''', 'sdating_admin.php', 'SELECT COUNT(`ID`) FROM `SDatingEvents` WHERE `Status`!=''Active''', 'evs.gif', 0);
INSERT INTO `SiteStat` VALUES(4, 'onl', 'Online', 'search.php?online_only=1', 'SELECT COUNT(`ID`) AS `count_onl` FROM `Profiles` WHERE `DateLastNav` > SUBDATE(NOW(), INTERVAL 5 MINUTE) AND (`Couple`=0 OR `Couple`>`ID`)', '', '', 'mbs.gif', 0);
INSERT INTO `SiteStat` VALUES(5, 'pvi', 'Videos', 'browseVideo.php', 'SELECT COUNT(`ID`) FROM `RayMovieFiles` WHERE `Approved`=''true''', 'browseMedia.php?type=video', 'SELECT COUNT(`ID`) FROM `RayMovieFiles` WHERE `Approved`!=''true''', 'pvi.gif', 0);
INSERT INTO `SiteStat` VALUES(6, 'pls', 'Polls', 'polls.php', 'SELECT COUNT(`id_poll`) FROM `ProfilesPolls` WHERE `poll_approval`=''1''', 'post_mod_ppolls.php', 'SELECT COUNT(`id_poll`) FROM `ProfilesPolls` WHERE `poll_approval`!=''1''', 'pls.gif', 0);
INSERT INTO `SiteStat` VALUES(7, 'ntd', 'New Today', '', 'SELECT COUNT(`ID`) FROM `Profiles` WHERE `Status` = ''Active'' AND (TO_DAYS(NOW()) - TO_DAYS(`DateLastNav`)) <= 1 AND (`Couple`=0 OR `Couple`>`ID`)', '', '', 'mbs.gif', 0);
INSERT INTO `SiteStat` VALUES(8, 'pmu', 'Music', 'browseMusic.php', 'SELECT COUNT(`ID`) FROM `RayMusicFiles` WHERE `Approved`=''true''', 'browseMedia.php?type=music', 'SELECT COUNT(`ID`) FROM `RayMusicFiles` WHERE `Approved`!=''true''', 'pmu.gif', 0);
INSERT INTO `SiteStat` VALUES(9, 'tps', 'Topics', 'orca', 'SELECT IF( NOT ISNULL( SUM(`forum_topics`)), SUM(`forum_posts`), 0) AS `Num` FROM `pre_forum`', '', '', 'tps.gif', 0);
INSERT INTO `SiteStat` VALUES(10, 'nwk', 'This Week', '', 'SELECT COUNT(`ID`) FROM `Profiles` WHERE `Status` = ''Active'' AND (TO_DAYS(NOW()) - TO_DAYS(`DateLastNav`)) <= 7 AND (`Couple`=0 OR `Couple`>`ID`)', '', '', 'mbs.gif', 0);
INSERT INTO `SiteStat` VALUES(11, 'pvd', 'Profile Videos', '', 'SELECT `Approved` FROM `RayVideoStats`', 'javascript:window.open(''../ray/modules/video/app/admin.swf?nick={adminLogin}&password={adminPass}&url=../../../XML.php'',''RayVideoAdmin'',''width=700,height=330,toolbar=0,directories=0,menubar=0,status=0,location=0,scrollbars=0,resizable=0'');', '', 'pvi.gif', 0);
INSERT INTO `SiteStat` VALUES(12, 'pts', 'Posts', 'orca', 'SELECT IF( NOT ISNULL( SUM(`forum_posts`)), SUM(`forum_posts`), 0) AS `Num` FROM `pre_forum`', '', '', 'pts.gif', 0);
INSERT INTO `SiteStat` VALUES(13, 'nmh', 'This Month', '', 'SELECT COUNT(`ID`) FROM `Profiles` WHERE `Status` = ''Active'' AND (TO_DAYS(NOW()) - TO_DAYS(`DateLastNav`)) <= 30 AND (`Couple`=0 OR `Couple`>`ID`)', '', '', 'mbs.gif', 0);
INSERT INTO `SiteStat` VALUES(14, 'tgs', 'Tags', '', 'SELECT COUNT( DISTINCT `Tag` ) FROM `Tags`', '', '', 'tgs.gif', 0);
INSERT INTO `SiteStat` VALUES(15, 'ars', 'Articles', 'articles.php', 'SELECT COUNT(`ArticlesID`) FROM `Articles`', '', '', 'ars.gif', 0);
INSERT INTO `SiteStat` VALUES(16, 'nyr', 'This Year', '', 'SELECT COUNT(`ID`) FROM `Profiles` WHERE `Status` = ''Active'' AND (TO_DAYS(NOW()) - TO_DAYS(`DateLastNav`)) <= 365 AND (`Couple`=0 OR `Couple`>`ID`)', '', '', 'mbs.gif', 0);
INSERT INTO `SiteStat` VALUES(17, 'grs', 'Groups', 'grp.php', 'SELECT COUNT(`ID`) FROM `Groups` WHERE `status`=''Active''', '', '', 'grs.gif', 0);
INSERT INTO `SiteStat` VALUES(18, 'cls', 'Classifieds', 'classifieds.php?Browse=1', 'SELECT COUNT(`ID`) FROM `ClassifiedsAdvertisements` WHERE `Status`=''active'' AND DATE_ADD( `ClassifiedsAdvertisements`.`DateTime` , INTERVAL `ClassifiedsAdvertisements`.`LifeTime` DAY ) > NOW( )', '', '', 'cls.gif', 0);
INSERT INTO `SiteStat` VALUES(19, 'frs', 'Friends', '', 'SELECT COUNT(`ID`) FROM `FriendList` WHERE `Check`=''1''', '', '', 'frs.gif', 0);
INSERT INTO `SiteStat` VALUES(20, 'blg', 'Blogs', 'blogs.php', 'SELECT COUNT(*) FROM `Blogs`', '', '', 'pts.gif', 0);





DROP TABLE IF EXISTS
	`RayBoardBoards`,
	`RayChatCurrentUsers`,
	`RayChatMessages`,
	`RayChatRoomsUsers`,
	`RayImContacts`,
	`RayImMessages`,
	`RayImPendings`;

CREATE TABLE `RayBoardBoards` (
  `ID` int(11) NOT NULL auto_increment,
  `UserID` varchar(64) NOT NULL default '',
  `Title` varchar(255) NOT NULL default '',
  `Track` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `RayChatCurrentUsers` (
  `ID` varchar(20) NOT NULL default '',
  `Nick` varchar(36) NOT NULL default '',
  `Sex` enum('M','F') NOT NULL default 'M',
  `Age` int(11) NOT NULL default '0',
  `Desc` text NOT NULL,
  `Photo` varchar(255) NOT NULL default '',
  `Profile` varchar(255) NOT NULL default '',
  `Online` enum('online','busy','away') NOT NULL default 'online',
  `Start` int(11) NOT NULL default '0',
  `When` int(11) NOT NULL default '0',
  `Status` enum('new','old','idle','kick','type','online') NOT NULL default 'new',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `RayChatMessages` (
  `ID` int(11) NOT NULL auto_increment,
  `Room` int(11) NOT NULL default '0',
  `Sender` varchar(20) NOT NULL default '',
  `Recipient` varchar(20) NOT NULL default '',
  `Whisper` enum('true','false') NOT NULL default 'false',
  `Message` text NOT NULL,
  `Style` text NOT NULL,
  `Type` enum('text','file') NOT NULL default 'text',
  `When` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `RayChatRoomsUsers` (
  `ID` int(11) NOT NULL auto_increment,
  `Room` int(11) NOT NULL default '0',
  `User` varchar(20) NOT NULL default '',
  `When` int(11) default NULL,
  `Status` enum('normal','delete') NOT NULL default 'normal',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `RayImContacts` (
  `ID` int(11) NOT NULL auto_increment,
  `SenderID` int(11) NOT NULL default '0',
  `RecipientID` int(11) NOT NULL default '0',
  `Online` enum('online','busy','away') NOT NULL default 'online',
  `When` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `RayImMessages` (
  `ID` int(11) NOT NULL auto_increment,
  `ContactID` int(11) NOT NULL default '0',
  `Message` text NOT NULL,
  `Style` text NOT NULL,
  `Type` enum('text','file') NOT NULL default 'text',
  `When` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `RayImPendings` (
  `ID` int(11) NOT NULL auto_increment,
  `SenderID` int(11) NOT NULL default '0',
  `RecipientID` int(11) NOT NULL default '0',
  `Message` varchar(255) NOT NULL default '',
  `When` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `RecipientID` (`RecipientID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
